# Class RealtimeDragSelectingTool

GoJS® Diagramming Components
version 3.0.7
by Northwoods Software®

This is an extension and not part of the main GoJS library. Note that the API for this class may change at any time. If you intend to use an extension in production, you should copy the code to your own source directory. See the Extensions intro page for more information.

#### Hierarchy

- DragSelectingTool
  - RealtimeDragSelectingTool

The RealtimeDragSelectingTool class lets the user select and deselect Parts within the go.DragSelectingTool.box during a drag, not just at the end of the drag.

If you want to experiment with this extension, try the Realtime Drag Selecting sample.

#####
Index

### Constructors

constructor

### Methods

doActivate
doCancel
doDeactivate
doKeyDown
doKeyUp
doMouseMove
selectInRect

#####
Inherited Index

### Accessors

DragSelectingTool.box
DragSelectingTool.delay
DragSelectingTool.isPartialInclusion
Tool.diagram
Tool.isActive
Tool.isEnabled
Tool.name
Tool.transactionResult

### Methods

DragSelectingTool.canStart
DragSelectingTool.computeBoxBounds
DragSelectingTool.doMouseUp
Tool.canStartMultiTouch
Tool.cancelWaitAfter
Tool.doMouseDown
Tool.doMouseWheel
Tool.doStart
Tool.doStop
Tool.doWaitAfter
Tool.findToolHandleAt
Tool.isBeyondDragSize
Tool.standardMouseClick
Tool.standardMouseOver
Tool.standardMouseSelect
Tool.standardMouseWheel
Tool.standardPinchZoomMove
Tool.standardPinchZoomStart
Tool.standardWaitAfter
Tool.startTransaction
Tool.stopTool
Tool.stopTransaction
Tool.updateAdornments

## Constructors

### constructor

- new RealtimeDragSelectingTool(init?: Partial<RealtimeDragSelectingTool>): RealtimeDragSelectingTool

- #### Parameters

  - ##### `Optional` init: Partial<RealtimeDragSelectingTool>

  #### Returns RealtimeDragSelectingTool

## Methods

### `Override` doActivate

- doActivate(): void

- Remember the original collection of selected Parts.

  #### Returns void

### `Override` doCancel

- doCancel(): void

- Restore the selection which may have been modified during a drag.

  #### Returns void

### `Override` doDeactivate

- doDeactivate(): void

- Release any references to selected Parts.

  #### Returns void

### `Override` doKeyDown

- doKeyDown(): void

- Select Parts within the bounds of the drag-select box.

  #### Returns void

### `Override` doKeyUp

- doKeyUp(): void

- Select Parts within the bounds of the drag-select box.

  #### Returns void

### `Override` doMouseMove

- doMouseMove(): void

- Select Parts within the bounds of the drag-select box.

  #### Returns void

### `Override` selectInRect

- selectInRect(r: Rect): void

- For a given rectangle, select Parts that are within that rectangle.

  #### Parameters

  - ##### r: Rect

    rectangular bounds in document coordinates.

  #### Returns void

Copyright © 1998-2024 by Northwoods Software Corporation.